Bug 1309244 - python-sendgrid: Provide a Python 3 subpackage [NEEDINFO]
python-sendgrid: Provide a Python 3 subpackage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-sendgrid (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Bruno
Fedora Extras Quality Assurance
:
Depends On: 1358248
Blocks: PYTHON3 PY3PATCH-AVAILABLE
  Show dependency treegraph
 
Reported: 2016-02-17 05:25 EST by Petr Viktorin
Modified: 2017-04-05 18:00 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-sendgrid-3.6.5-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-05 18:00:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dkrejci: needinfo? (dbruno)


Attachments (Terms of Use)
add Python 3 & update version (2.96 KB, patch)
2016-07-18 08:43 EDT, Dominika Krejčí
no flags Details | Diff
add Python 3 & version update (3.41 KB, patch)
2016-08-17 06:29 EDT, Dominika Krejčí
no flags Details | Diff
Patch to update to current version and provide Python 3 subpackage (4.27 KB, application/mbox)
2017-03-21 12:15 EDT, Iryna Shcherbina
no flags Details
Patch to update to current version and provide Python 3 subpackage (4.69 KB, application/mbox)
2017-03-28 12:30 EDT, Iryna Shcherbina
no flags Details
Patch to update to current version and provide Python 3 subpackage (4.54 KB, application/mbox)
2017-03-31 05:10 EDT, Iryna Shcherbina
no flags Details

  None (edit)
Description Petr Viktorin 2016-02-17 05:25:15 EST
Upstream (in version 1.6.22), this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Jan Kurik 2016-02-24 10:23:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Dominika Krejčí 2016-04-20 08:33:39 EDT
Hello Daniel,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html
Comment 3 Dominika Krejčí 2016-07-18 08:43 EDT
Created attachment 1181046 [details]
add Python 3 & update version

Hi,
I have made a patch to add Python3 support and update the version. There is a new Require in the latest version, which is not packaged yet. It is: python-http_client (https://github.com/sendgrid/python-http-client).

python-sendgrid will not work as long as http_client is unpackaged.
Comment 4 Dominika Krejčí 2016-08-17 06:29 EDT
Created attachment 1191564 [details]
add Python 3 & version update

Hi Daniel,
python-http-client is ready and there is a new patch for sendgrid.

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=15284575
Comment 5 Iryna Shcherbina 2017-03-21 12:15 EDT
Created attachment 1265158 [details]
Patch to update to current version and provide Python 3 subpackage

Hi,

I have updated Dominika's patch to the latest upstream version (3.6.3) and included running tests. You may find the new patch attached. Please review it and do the update.

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=18507331
Comment 6 Charalampos Stratakis 2017-03-23 10:51:53 EDT
The package places the tests at {python2_sitelib}/test and {python3_sitelib}/test and not in its own subdirectory which can be problematic and create conflicts with other packages.

See bug 1418794

Ideally upstream should be notified for that and place the tests under the sendgrid directory (maybe also the examples folder? The examples are not packaged though).
Comment 7 Iryna Shcherbina 2017-03-28 07:18:56 EDT
Created a PR upstream to notify them about the issue (https://github.com/sendgrid/sendgrid-python/pull/300). Regarding examples, I believe we do not need them to be under sendgrid directory to create examples package, so I will add it as soon as the issue with tests is solved.
Comment 8 Iryna Shcherbina 2017-03-28 12:30 EDT
Created attachment 1267038 [details]
Patch to update to current version and provide Python 3 subpackage

I have created a patch with a temporary solution (explicitly excluding tests from {python2_sitelib}) until the above PR is reviewed/merged/released.
Also added examples package.

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=18647964
Comment 9 Iryna Shcherbina 2017-03-31 05:10 EDT
Created attachment 1267780 [details]
Patch to update to current version and provide Python 3 subpackage

Please find a patch attached with an update to the latest version with tests issue resolved.

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=18694981
Comment 10 Fedora Update System 2017-03-31 10:47:29 EDT
python-sendgrid-3.6.5-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8957be79c5
Comment 11 Fedora Update System 2017-04-01 20:51:13 EDT
python-sendgrid-3.6.5-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8957be79c5
Comment 12 Fedora Update System 2017-04-05 18:00:15 EDT
python-sendgrid-3.6.5-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.